@import url('https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@300;400;700&display=swap');

* {
    margin: 0 0 0;
    font-family: 'Roboto Condensed', sans-serif;
}

.info {
    color: white;
    font-weight: 300;
    max-width: 200px;
    margin: auto;
    margin-top: 30px;
}

html {
    font-size: 17px;
    font-weight: 400;
}

body {
    background-color: rgb(27, 28, 36);
}

.container {
    /* max-width: 1300px;
    margin: auto; */
    text-align: center;
}

.title {
    margin-top: 2rem;
    font-weight: 700;
    color: white;
    margin-bottom: 2rem;
}

/* searchForm */
#searchForm {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;

}

#searchForm__input {
    background-color: rgb(35, 37, 50);
    padding: 8px 15px;
    border-radius: 6px;
    border: none;
    color: white;
    font-size: 15px;
}

#searchForm__input:focus {
    outline: none !important;
    border: 1px solid white;
    caret-color: white;
}

#searchForm__btn {
    padding: 8px 15px;
    border-radius: 6px;
    border: none;
    background-color: rgb(238, 190, 45);
    color: rgb(27, 28, 36);
    font-family: 'Roboto Condensed', sans-serif;
    font-weight: 400;
    font-size: 15px;

}

#searchForm__btn:active {
    transform: translateY(1px);
}

/* CardsFilm */
.cardsFilm {
    max-width: 900px;
    margin: auto;
    margin-top: 1rem;
    margin-bottom: 1rem;
    display: flex;
    justify-content: start;
    flex-wrap: wrap;
    gap: 20px;
}

.cardFilm {
    background-color: black;
    max-width: 210px;
    max-height: 295px;
    min-width: 210px;
    min-height: 295px;
    position: relative;
    overflow: hidden;
    border-radius: 8px;
}

.cardFilm__officialSiteLink {
    text-decoration: none;
}

.cardFilm__img {}

.cardFilm__info {
    position: absolute;
    bottom: 0;
    color: white;
    width: 100%;
    min-height: 80px;
    border-radius: 0 0 8px 8px;
    display: flex;
    align-items: flex-start;

    -webkit-backdrop-filter: blur(15px);
    backdrop-filter: blur(15px);
}

.cardFilm__info:before {
    width: 100%;
    -webkit-backdrop-filter: blur(15px);
    backdrop-filter: blur(15px);
}

.cardFilm__info-container {
    padding: 10px;
    width: 100%;
}

.cardFilm__nameAndScore {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    font-weight: 700;
}

.cardFilm__nameFilm {
    text-align: left;
    max-width: 150px;
}

.cardFilm__score {}

.cardFilm__genres {
    color: rgba(255, 255, 255, 0.778);
    display: flex;
    flex-wrap: wrap;
    gap: 2px;
    font-size: 0.7rem;
    margin-top: 6px;
    font-weight: 300;
}

.cardFilm__genre {}

/* media */

@media (max-width: 900px) {
    .cardsFilm {
        max-width: 670px;
        gap: 20px;
    }
}

@media (max-width: 687px) {
    .cardsFilm {
        max-width: 430px;
        gap: 10px;
    }
}

@media (max-width: 687px) {
    .cardsFilm {
        max-width: 210px;
        gap: 10px;
    }

    #searchForm {
        position: sticky;
        top: 20px;
        z-index: 1;
    }
}